Bug 466307 - /dev/agpart missing for intel i965 HW/82G965 Graphics
/dev/agpart missing for intel i965 HW/82G965 Graphics
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
medium Severity high
: beta
: ---
Assigned To: Prarit Bhargava
Martin Jenner
: Regression
: 466898 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-09 13:09 EDT by Bill Nottingham
Modified: 2014-03-16 23:16 EDT (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:18:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
boot messages (23.60 KB, text/plain)
2008-10-09 13:09 EDT, Bill Nottingham
no flags Details
RHEL5 fix for this issue (770 bytes, patch)
2008-10-14 14:19 EDT, Prarit Bhargava
no flags Details | Diff
RHEL5 fix for this issue (862 bytes, patch)
2008-10-15 06:38 EDT, Prarit Bhargava
no flags Details | Diff

  None (edit)
Description Bill Nottingham 2008-10-09 13:09:24 EDT
Created attachment 319881 [details]
boot messages

Description of problem:

X fails to start, becuase there is no /dev/agpgart. There certainly was one in 5.2.

i965. Hardware is as follows:

00:00.0 Host bridge: Intel Corporation 82P965/G965 Memory Controller Hub (rev 02)
00:02.0 VGA compatible controller: Intel Corporation 82G965 Integrated Graphics Controller (rev 02)
00:02.1 Display controller: Intel Corporation 82G965 Integrated Graphics Controller (rev 02)
00:03.0 Communication controller: Intel Corporation 82P965/G965 HECI Controller (rev 02)
00:19.0 Ethernet controller: Intel Corporation 82566DC Gigabit Network Connection (rev 02)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 02)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 02)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 02)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 02)
00:1c.2 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 3 (rev 02)
00:1c.3 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 4 (rev 02)
00:1c.4 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 5 (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev f2)
00:1f.0 ISA bridge: Intel Corporation 82801HH (ICH8DH) LPC Interface Controller (rev 02)
00:1f.2 SATA controller: Intel Corporation 82801HR/HO/HH (ICH8R/DO/DH) 6 port SATA AHCI Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 02)
02:00.0 IDE interface: Marvell Technology Group Ltd. 88SE6101 single-port PATA133 interface (rev b1)
04:00.0 Ethernet controller: Intel Corporation 82574L Gigabit Network Connection
06:03.0 FireWire (IEEE 1394): Texas Instruments TSB43AB22/A IEEE-1394a-2000 Controller (PHY/Link)


Version-Release number of selected component (if applicable):

kernel-2.6.18-118.el5

How reproducible:

Every time

Steps to Reproduce:
1. Boot
2. Start X
  
Actual results:

(EE) GARTInit: Unable to open /dev/agpgart (No such file or directory)

Things go downhill from there.

Expected results:

X starts
Comment 1 Prarit Bhargava 2008-10-09 14:13:35 EDT
Bill, what vendor and model is this on?

P.
Comment 2 Bill Nottingham 2008-10-09 14:19:36 EDT
Intel i965. Non-vendor box.
Comment 4 RHEL Product and Program Management 2008-10-14 00:29:42 EDT
This bugzilla has Keywords: Regression.  

Since no regressions are allowed between releases, 
it is also being proposed as a blocker for this release.  

Please resolve ASAP.
Comment 5 Brian Maly 2008-10-14 01:23:30 EDT
Is it possible to attach a lspci output and a dmesg from both a working and non-working kernel on the affected hardware? A sysreport would be even better.

Thanks.
Comment 6 Jay Turner 2008-10-14 10:05:55 EDT
*** Bug 466898 has been marked as a duplicate of this bug. ***
Comment 7 Jay Turner 2008-10-14 10:09:04 EDT
I'll add some debugging logs shortly, but just dup'd bug 466898 against this bug.  We're fine up until -117.el5.  A bunch of changes to support Cantiga/Eaglelake went into -118.el5 and I suspect that's related to these support problems on 965.  I've verified this is a regression introduced in the -118.el5 kernel.  I'm proposing as a beta blocker at least until we know the extent of the damage.
Comment 8 Prarit Bhargava 2008-10-14 10:48:49 EDT
From private email:

> David (airlied),
>
> I was looking at the latest patch to the agp code and was wondering if this is the culprit:
>
> @@ -2166,7 +2241,7 @@ static struct pci_device_id agp_intel_pci_table[] = {
>        ID(PCI_DEVICE_ID_INTEL_82945GM_HB),
>        ID(PCI_DEVICE_ID_INTEL_82945GME_HB),
>        ID(PCI_DEVICE_ID_INTEL_82946GZ_HB),
> -       ID(PCI_DEVICE_ID_INTEL_82965G_1_HB),
> +       ID(PCI_DEVICE_ID_INTEL_82G35_HB),
>        ID(PCI_DEVICE_ID_INTEL_82965Q_HB),
>        ID(PCI_DEVICE_ID_INTEL_82965G_HB),
>        ID(PCI_DEVICE_ID_INTEL_82965GM_HB),
>
> (Checkout RHEL5 tree, see git commit b05cb1ebfe78ee105014e7a6c2a7ad38573d91a8)
>
> It looks like we swapped out the 92965G for the 82G35 ?
>


Upstream has intel-agp.c with

       { PCI_DEVICE_ID_INTEL_82965G_HB, PCI_DEVICE_ID_INTEL_82965G_IG, 0, "965G",
               NULL, &intel_i965_driver },

where

#define PCI_DEVICE_ID_INTEL_82965G_IG       0x29A2

which, AFAICT, is the device that is currently failing (according to dup BZ 466898).

I'll also try to track down HW and build a kernel which puts this device back into the intel-agp.c code.

P.
Comment 13 John Villalovos 2008-10-14 11:42:55 EDT
Zhenyu,

Can you help on this?
Comment 16 Prarit Bhargava 2008-10-14 14:19:40 EDT
Created attachment 320339 [details]
RHEL5 fix for this issue

This patch fixes the problem on Jay Turner's system.

airlied & mchehab,

Is there a reason this code was pulled from the driver?  Is there something I am missing?

P.
Comment 17 Mike Gahagan 2008-10-14 15:27:45 EDT
I have one of the older Intel SDV boxes with:

00:02.0 VGA compatible controller: Intel Corporation 82G35 Express Integrated Graphics Controller

and can confirm it is still working with the -119 kernel
Comment 19 Dave Airlie 2008-10-15 01:36:55 EDT
This patch is fine, I'm not sure how that got removed in Mauro's original backport. I even reviewed it and missed it.

Please send to rhkernel-list asap and I will ACK it.
Comment 20 Prarit Bhargava 2008-10-15 06:38:12 EDT
Created attachment 320411 [details]
RHEL5 fix for this issue
Comment 22 Don Zickus 2008-10-20 11:13:48 EDT
in kernel-2.6.18-120.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 26 errata-xmlrpc 2009-01-20 15:18:53 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.